Subject: Re: bug#48078: Verbatim environments with key-value arguments

From: Tassilo Horn <[email-masked]>
Date: Thu, 29 Apr 2021 21:05:16 +0200

Arash Esbati <[email-masked]> writes:

Hi Arash,

> Thank you for the quick fix.  I also removed some unnecessary escaping
> of characters in the regexp for the optional arguments.

I had to check the docs to understand that. :-)

> While we're at, I think we should replace
>
>     "\\(?:\\[[^][]*\\(?:\\[[^][]*\\][^][]*\\)*\\]\\)?"
>
> with
>
>     "\\(?:\\[[^][]*\\(?:{[^}{]*}[^}{]*\\)*\\]\\)?"
>
> at some point.

But your advertised new regex doesn't even match the normal nested
bracket case, e.g., [foo=[1,2], bar={~}].

> Rationale: One can have a single ] in an optional argument which is
> hidden inside {}.

Not everything that can be written should be written. ;-)

Bye,
Tassilo